%% Anchovy model proper

% ... continues equation on the next line

%%% Work out the number of years and assign a month to the day %%%
Years
Month


    %%% 1 %%%
    %% Input %%

    %% Reserve density [E] (J.cm-3) %%
        %% d/dt [E] = {p_Am}/V^1/3(f-[E]/[Em])%%
        
      
        
           %% Weak homeostasis for constant environmetal conditions 
            % J.cm-3  = J.d-1/cm3.d-1
            AEden(d) = AE(d-1)/AV(d-1);
            
            
           %% Strong homeostasis 
            %AEden(d) = AEden(d-1) + (Ap_Am./(AV(d-1)^(1./3)))*(f-(AEden(d-1)./AE_m(d)));
            % J.cm-3.d-1  = J.cm-3.d-1     + J.cm-2.d-1/(cm3^(1/3)*(J.cm-3/J.cm-3)
            
        

    %%% 2 %%%
    %% Assimilation (p_A) %%
    % p_A = p_Am*f*((V(d-1))^(2/3))
    % p_A = {p_Am}*f*((V(d-1))^(2/3))

        %ApA (d) = Ap_A(Ap_Am,f,AV,d); 
        %ApA(d) = Ap_Am*f*(AVL(d-1).^2/3);
        % J.d-1 = J.cm-2.d-1*-*(cm3^2/3)
        ApA(d) = Ap_Am(d)*f*(AV(d-1).^(2/3));
        
        
    %%% 5 %%%
    %% Somatic maintenance (p_M) %%p
    % --> Maintains the structure
    % p_Mr = p_M * V(d-1); % Pequirine
        %ApMr(d) = Ap_M(d)*AV(d-1);
        %ApMr(d) = Ap_M(d)*((ALv(d-1)));
        %J.d-1  = J.cm-3.d-1*cm3
        ApMr(d) = Ap_M(d)*AV(d-1);

    %%% 3 %%%
    %% Metabolism (p_C) %%
    % p_C = (Eden./(E_G + (kap * Eden)))*(((E_G * p_Am * ((V(d-1))^(2/3)))./E_m) + (p_M * V(d-1)));
    % p_C = ([E]/([E_G] + (k * [E])))*((([E_G] * [p_Am] * ((V(d-1))^(2/3)))./[E_m]) + ([p_M] * V(d-1)));
        %ApC(d) = (AE(d-1)/(AVL(d-1)^3))*(((Av*AE_G*(AVL(d-1).^2))+ApMr(d))/(AE_G+(Akap*(AE(d-1)/(AVL(d-1).^3)))));
        %J.d-1 = (J.cm-3/(J.cm-3 + (- * J.cm-3)))*(((J.cm-3 * (J.cm-2.d-1/J.cm-3)* ((cm2) + (J.cm-3.d-1) * cm3))
        ApC(d) = (AEden(d)/(AE_G + (Akap * AEden(d))))*(((AE_G * (Ap_Am(d)/AE_m)* ((AV(d-1))^(2/3)))) + (Ap_M(d) * AV(d-1)));
 
    %%% 4 %%%
    %% Reserve (E) %%
    % E(d) = E(d-1) + (Assimilation - Metabolism);
    % E(d) = E(d-1) + (Ap_A - Ap_C)
       %AE(d) = AE(d-1) + (Ap_A(Ap_Am,f,AV,d) - Ap_C(AE,d,AVL,Av,AE_G,Ap_Mr(Ap_M,AV,d),Akap));
       %J.d-1 = J.d-1 +(J.d-1-J.d-1)
       AE(d) = AE(d-1) + (ApA(d) - ApC(d));
      

    %%% 6 %%%    
    %% Growth (p_G) %%
    % How the functions change with each itteration
    % p_G = kap*Metabolism - p_M;
    % p_G = kap*p_C - p_M;
        %ApG (d) = Ap_G(Akap,Ap_C(AE,d,AV,Av,AE_G,Ap_Mr(Ap_M,AV,d),Akap),Ap_Mr(Ap_M,AV,d));
        %J.d-1 = max (-*J.d-1 - J.d-1)
        ApG(d) = max (((Akap*ApC(d))-ApMr(d)),0);
        %ApG(d) = (Akap*ApC(d))-ApMr(d);

    %%% 7 %%%
    %% Structure (V) %%
    % V (cm^3)
    % V(d) = Grow/E_G
        %(cm3.d-1)= (cm3.d-1) + (J.d-1/J.cm-3)
        AV(d) = AV(d-1) + (ApG(d)/(AE_G));
        
    %% Volumetric Length VL (cm)%%
    % Volumetric Length = (Structure ^ 1/3)
        %cm = (cm3)^(1/3)
        ALv(d) = (AV(d))^(1/3); %Pethybridge et al.2013
           
    %%% 8 %%%
    %% Maturity maintenance (p_J) %%
    % p_J = min((((1-kap)/kap)*p_M*V(d-1)),(((1-kap)/kap)*p_M*Vp));
    % p_J = min((((1-k)/k)*[p_M]*V(d-1)),(((1-k)/k)*[p_M]*Vp));
    % Gatti et al. 2017
        %Akj = Ap_M/AE_G;
        %ApJ(d) = Akj*AEH(d-1);
    % Maury et al. (in press)
       %J.d-1 = ((1--)/-)*J.cm-3.d-1*min(cm3,cm3)
       ApJ(d) = ((1-Akap)/Akap)*Ap_M(d)*min(AV(d-1),AVp);

    %%% 9 %%%
    %% Energy for development or reproduction (p_R) %%
    % p_R = (1-kap)*Metabolism - Maturity Maintenance;
    % p_R = (1-kap)* p_C - p_J;
        %J.d-1 = (-)*J.d-1 - J.d-1
        ApR(d) = ((1-Akap)*ApC(d)) - ApJ(d);
        
    %%% 10 %%%
    %% Maturity EH %%
    % EH(d) = EH(d-1) + ((1-k)*Somatic maintenance - Maturity Maintenenace);
    % EH(d) = EH(d-1) + ((1-k)*p_M - p_J);
    % Vp = Lvp^3;
        if ALv(d) < ALvp
            % J.d-1 = J.d-1 + J.d-1
            AEH(d) = AEH(d-1) + ApR(d);                     
        else 
            AEH(d) = 0;
        end


    %%% 11 %%%

    if ALv(d) >= ALvp
        
%% Spawning season
        if m >= 10 && m <=12       
       %% Ebatch %%
       % Egg batch preparation 
            
            %AE_Batch(d) = AE_egg*(ARF_batch*AV(d-1));
            AE_Batch(d) = AE_egg*(ARF_batch*AW_ww(d-1));
            AO_Dev(d) = AO_Dev(d-1) + 1;
            ABatchN(d) = 0;
            % Spawning reset
            %if  AO_Dev(d) > AO_DevTime2 && AE_Gam(d-1)>= 2*AE_Batch(d-1)
            if ABatchN(d-1) == 1
                AO_Dev(d) = 1;
            end
           

        %% Age specific batch fecundity FBatch %%
             AF_batch(d) = AE_Batch(d)/AE_egg;
                
        %% Gamete energy mobilization pR2 %%
           % pR2 = Reproduction((p_Am/(E_m * Structure^1/3))+(p_Mr/E_G))(1-k(Reserve/((E_G*Structure)+k(Reserve))))
           % pR2 = ER((p_Am/(E_m * V^1/3))+(p_Mr/E_G))(1-k(E/((E_G*V)+k(E))))
             ApR2(d) =  AER(d-1)*((Ap_Am(d)/(AE_m*(AV(d-1)^(1/3))))+(Ap_M(d)/AE_G))*((1-Akap)*(AE(d-1)/(AE_G*AV(d-1)+Akap*AE(d-1))));
             
        %% Emergency Maintenance
           % p_M2 = -p_G
             ApM2(d) = min(-ApG(d), ApR2(d)); 

        %% Reproduction (ER) %%
        % ER(d) = ER(d-1) + ((1-k)*Somatic maintenance - Maturity Maintenenace);
        % ER(d) = ER(d-1) + ((1-k)*p_M - p_J);
        %if Akap*ApC(d) > ApMr(d)
             if AO_Dev(d) >= AO_DevTime2 && AE_Gam(d-1)>= 2*AE_Batch(d-1)
                    AER(d) = AER(d-1) - AE_Batch(d-1) + (ApR(d)-ApR2(d)-ApM2(d));
             else 
                 AER(d) = AER(d-1) + (ApR(d)-ApR2(d)-ApM2(d));
             end

            
            %% Gamete allocation p_Gam %%
            % p_Gam = = p_R2 - p_M2;
                Amu_R = 24937; % Gatti et al. 2017
                K_R = Amu_R/Amu_E;
                ApGam(d) = max (0, K_R*(ApR2(d)-ApM2(d)));

            %% Atresia p_M3 %%%
                ApM3(d) = max((ApMr(d)-(Akap*ApC(d)+ ApM2(d)))/AE_G,0);

            %% Gametes E_Gam %%
                % E_Gam(d) = E_Gam(d-1) + (p_Gam - p_M3 - E_Batch)
                % Gatti et al. 2017
                %if AE_Gam(d-1)>= 2*AE_Batch(d) && AO_Dev(d) >=13
                if AO_Dev(d) >= AO_DevTime2 && AE_Gam(d-1)>= 2*AE_Batch(d-1)
                       AE_Gam(d) = AE_Gam(d-1) + (ApGam(d)-ApM3(d)-AE_Batch(d-1));
                       ABatchN(d) = 1;
                else
                    AE_Gam(d) = AE_Gam(d-1) + (ApGam(d)-ApM3(d));
                end
                

            %% Gonad weight(g) %%   
                AW_GON(d) = (((0.015*(Ad_V*AV(d))))+(AE_Gam(d)/Amu_G))*AGamma;                        


        elseif m >= 1 && m <=3        
       %% Ebatch %%
       % Egg batch preparation 
            
            %AE_Batch(d) = AE_egg*(ARF_batch*AV(d-1));
            AE_Batch(d) = AE_egg*(ARF_batch*AW_ww(d-1));
            AO_Dev(d) = AO_Dev(d-1) + 1;
            ABatchN(d) = 0;
            % Spawning reset
            %if  AO_Dev(d) > AO_DevTime1 && AE_Gam(d-1)>= 2*AE_Batch(d-1)
            if ABatchN(d-1) == 1
                AO_Dev(d) = 1;
            end
           

        %% Age specific batch fecundity FBatch %%
             AF_batch(d) = AE_Batch(d)/AE_egg;
                
        %% Gamete energy mobilization pR2 %%
           % pR2 = Reproduction((p_Am/(E_m * Structure^1/3))+(p_Mr/E_G))(1-k(Reserve/((E_G*Structure)+k(Reserve))))
           % pR2 = ER((p_Am/(E_m * V^1/3))+(p_Mr/E_G))(1-k(E/((E_G*V)+k(E))))
           
             ApR2(d) =  AER(d-1)*((Ap_Am(d)/(AE_m*(AV(d-1)^(1/3))))+(Ap_M(d)/AE_G))*((1-Akap)*(AE(d-1)/(AE_G*AV(d-1)+Akap*AE(d-1))));
             
        %% Emergency Maintenance
           % p_M2 = -p_G
             ApM2(d) = min(-ApG(d), ApR2(d)); 

        %% Reproduction (ER) %%
        % ER(d) = ER(d-1) + ((1-k)*Somatic maintenance - Maturity Maintenenace);
        % ER(d) = ER(d-1) + ((1-k)*p_M - p_J);
        %if Akap*ApC(d) > ApMr(d)
        %AER(d) = 0;
             if AO_Dev(d) >= AO_DevTime1 && AE_Gam(d-1)>= 2*AE_Batch(d-1)
                    AER(d) = AER(d-1) - AE_Batch(d-1) + (ApR(d)-ApR2(d)-ApM2(d));
             else 
                 AER(d) = AER(d-1) + (ApR(d)-ApR2(d)-ApM2(d));
             end

            
            %% Gamete allocation p_Gam %%
            % p_Gam = = p_R2 - p_M2;
                Amu_R = 24937; % Gatti et al. 2017
                K_R = Amu_R/Amu_E;
                ApGam(d) = max (0, K_R*(ApR2(d)-ApM2(d)));

            %% Atresia p_M3 %%%
                ApM3(d) = max((ApMr(d)-(Akap*ApC(d)+ ApM2(d)))/AE_G,0);

            %% Gametes E_Gam %%
                % E_Gam(d) = E_Gam(d-1) + (p_Gam - p_M3 - E_Batch)
                % Gatti et al. 2017
                %if AE_Gam(d-1)>= 2*AE_Batch(d) && AO_Dev(d) >=13
                if AO_Dev(d) >= AO_DevTime1 && AE_Gam(d-1)>= 2*AE_Batch(d-1)
                       AE_Gam(d) = AE_Gam(d-1) + (ApGam(d)-ApM3(d)-AE_Batch(d-1));
                       ABatchN(d) = 1;
%                     if AE_Gam(d-1)>= 2*AE_Batch(d)
                       %AO_Dev(d) = AO_DevTime1;

%                         ABatchN(d) = 1;
%                     end
                else
                    AE_Gam(d) = AE_Gam(d-1) + (ApGam(d)-ApM3(d));
                end
                

            %% Gonad weight(g) %%   
                AW_GON(d) = (((0.015*(Ad_V*AV(d))))+(AE_Gam(d)/Amu_G))*AGamma;                        
                         
        else
       %% Ebatch %%
       % Egg batch preparation 
            AE_Batch(d) = 0;
            AO_Dev(d) = 0;
            ABatchN(d) = 0;
            
         %% Age specific batch fecundity FBatch %%
             AF_batch(d) = 0;
                
        %% Gamete energy mobilization pR2 %%
           % pR2 = Reproduction((p_Am/(E_m * Structure^1/3))+(p_Mr/E_G))(1-k(Reserve/((E_G*Structure)+k(Reserve))))
           % pR2 = ER((p_Am/(E_m * V^1/3))+(p_Mr/E_G))(1-k(E/((E_G*V)+k(E))))
           
             ApR2(d) = 0;
             
        %% Emergency Maintenance
           % p_M2 = min(-p_G, AER)
             ApM2(d) = 0;     
                
        %% Reproduction (ER) %%
        % ER(d) = ER(d-1) + ((1-k)*Somatic maintenance - Maturity Maintenenace);
        % ER(d) = ER(d-1) + ((1-k)*p_M - p_J);
        %if Akap*ApC(d) > ApMr(d)
        
            AER(d) = AER(d-1) + (ApR(d)-ApR2(d)-ApM2(d));
            
            %% Gamete allocation p_Gam %%
            % p_Gam = = p_R2 - p_M2;
                Amu_R = 24937; % Gatti et al. 2017
                K_R = Amu_R/Amu_E;
                ApGam(d) = 0;

            %% Atresia p_M3 %%%
                ApM3(d) = max((ApMr(d)-(Akap*ApC(d)+ ApM2(d)))/AE_G,0);

            %% Gametes E_Gam %%
                % E_Gam(d) = E_Gam(d-1) + (p_Gam - p_M3 - E_Batch)
                % Gatti et al. 2017
                    AE_Gam(d) = 0;
                    AO_Dev(d) = 0;
                    ABatchN(d) = 0;

                

            %% Gonad weight(g) %%   
                AW_GON(d) = 0;

            
        end    

    else 
        
        %% Ebatch %%
            AE_Batch(d) = 0;
            AO_Dev(d) = 0;
            ABatchN(d) = 0;
                            
        %% Age specific batch fecundity FBatch %%
            AF_batch(d) = 0;
                
        %% Gamete energy mobilization pR2 %%
            ApR2(d) = 0;
                
        %% Reproduction (ER) %%
            AER(d) = 0;
        
        %% Emergency Maintenance
            ApM2(d) = 0; 
            
        %% Gamete allocation p_Gam %%
            ApGam(d) = 0;

        %% Atresia p_M3 %%%
            ApM3(d) = 0;

        %% Gametes E_Gam %%
            AE_Gam(d) = 0;
            
        %% Gonad weight(g) %%   
            AW_GON(d) = 0;            
                

    end


    %%% 12 %%%
    %% Length L %%
    % L(d) = (((V(d))^(1/3))/delta_all);

        %if AL(d-1)>= ALi
        %    AL(d) = ALi;
        %else 
            AL(d) = (ALv(d))/Adel_M;
        %end    
        
 
    %%% 13 %%%
    
    %% Weight (g)

    % Total dry weight (g)
        % Pethybridge et al. 2013
        %AW_dw(d) = ((AEv(d)/Amu_V)+((AE(d)+AER(d))/Amu_E)+(AE_Gam(d)/Amu_G));
                  % not sure if this should be a + or x
                  
        % Pecquerie 2008
        %AW_dw(d) = (Ad_V*AV(d))+(((AE(d)/Amu_E)+(AER(d))/Amu_R))+ AW_Gon(d);
        %AW_dw(d) = (Ad_V*AV(d))+(AE(d)/Amu_E)+(AER(d)/Amu_R)+(AW_GON(d)/AGamma);
        AW_dw(d) = (Ad_V*AV(d))+(AE(d)/Amu_E)+(AER(d)/Amu_R);                  

    % Total wet weight (g)
        AW_ww(d) = AW_dw(d)*AGamma;


    %%% 14 %%
    %% Gonad Weight
        AW_GON(d) = AW_GON(d);

    %%% 15 %%% 
    %% Condition Factor
        AK_ful(d) = 100*(AW_ww(d)/(AL(d)^3));

    %%% 16 %%%                 
    %% Gonasomatic Index GSI
        AGSI(d) = (AW_GON(d) * 100)/AW_ww(d);
       
        