% Parameter List

%    globalvariables
%    mydata_Engraulis_encrasicolus
    
%    global Ap_Am Ap_Xm Akap_X
%    global Ad_V Amu_V Amu_E
%    global AE_G Akap Ap_M

    %A
        % ae
        % Assimilation efficiency
        % dry weight assimilation efficiency similar for phyto (0.7133) and
        % zoo (0.7135)
          Aae = 0.71; % (unitless) James et al. 1989 & Pethybridge et al. 2013
          Akap_X = Aae; 

    %C
        %c(T)
        % Temperature correction --> See temperature
    
    %D
        % del_M - Delta - Shape coefficient
           % ? - All
           % Shape coefficient estimation ... estimated from Length Weight of PSB (Carl R)
             global Adel_M
             Adel_M = 0.209; %(t = -4758, n = 25887, p < 0.001) 
                
           % ?_larvae
           % Shape coefficient larvae
                %Adelta_larvae = 0.203; %Survey Data 2012-2016
                
           % ?_adults
           % Shape coefficient adults
                %Adelta_adults = 0.210; %Survey Data 2012-2016
         
         % d_V
           % Density of structure (g.cm^-3)
           % The density of the structural volume
             %Ad_V = 0.23; %Pethybridge et al. 2013
              Ad_V = 0.11; %Gatti et al. 2017
            
    %E
        % E_egg
        % Energy content of 1 egg (J.egg^-1)
            %AE_egg = 0.15; %Pethybridge et al. 2013
             AE_egg = 0.720; % mean caloric value of one egg (5600 J.g-1.Ww egg-1) (Szeinfeld 1993) x 
                             % mean wet weight of a spawned anchovy egg (1.286x10-4 g. Ww egg-1) (Hunter & Leong 1981).

        % [E_G] 
        % The volume-specific costs of structure (J.cm-3)
            % energetic cost needed for one unit of growth to occur in the
            % structural body
            %AE_G = 4000; % (J.cm^-3) Pethybridge et al. 2013
             %AE_G = 5077;  % (J.cm^-3) Pecquerie & Kooijman (2015)
             
        % [E_m]
        % Maximum Storage Density (J.cm-3)
            % Difference in energy content between an individual with
            % unlimited resources and an animal with depleted reserve.
             %AE_m = 2700; %Pethybridge et al. 2013
             %AE_m = 572.901; % (J.cm^-3) Pecquerie & Kooijman (2015)
             %AE_m = 58900;  % estimated from the regression
     
    %F
        % f
        % The scaled functional response
         %       f = X/(X+X_K); - we set this in starting values
                
    %G
        % g
        % Investment ratio
           % Ag = 6; %Pecquerie et al. 2009
           Ag = 8.95052; %Pecquerie & Kooijman (2015)

                         
    %K
        % kap
        % k = kappa (Greek K)
            % Fraction of energy allocated to maintenance (unitless)
                % fixed fraction of the reserve (E) allopcated to somatic
                % maintenance (p_M) and growth (p_G)
                    % Akap = 0.9732; % Pethybridge et al.2013
                    % Akap = 0.65; %Pecquirine 2009
                    % Akap = 0.9901;  % Pecquerie & Kooijman (2015)
                    % Akap = given in the beginning of each script

        % k_M is the Somatic maintenance rate coefficient (d-1)
           % Ak_M = 0.015; %Pecquirine 2009
            
        % kap_R - fraction of the reproduction buffer fixed into eggs
           % if AL(d-1) < ALp;
           %     Akap_R = 0;
           % else
           %     Akap_R = 0.95; %Pequerine
           % end    

    %L
        % lambda
            % Maximum fraction of the year for spawning
                Alambda = 0.5; %Pequerine et al. 2009
                
            % Lv_m
            % Maximum volumetric length
                ALv_m = Adel_M*ALi;
                
            % Lvb 
            % volumetric length at birth (cm)
                ALvb = Adel_M*ALb;

                
            % Lvp 
            % volumetric length at puberty (cm)
                ALvp = Adel_M*ALp;   
                
            % Lvj 
            % volumetric length at metam (cm)
                ALvj = Adel_M*ALj;              
   
    %O
        % O_DevTime 
        % Final Oocyte development time
        % In Benguela takes between 10 and 14 days for oocytes to reach full development
              %AO_DevTime = 4900*(SST^-2.29);
               AO_DevTime = 12;
   
    %P
            % {p_Xm}
            % Max Feeding rate --> % See Aparameter_calc
                 %Ap_Xm = 325; %(J.cm^2.d^-1) Pethybridge et al. 2013
                 %Ap_Xm_ref = 325;
                 %AMax_ingestion
            
            % {p_Am} = p_Am  --> % See Aparameter_calc
            % Maximum surface area specific assimilation rate (J.cm-2.d-1)
            	%Ap_Am = Ap_Xm*Akap_X; % Pethybridge et al. 2013
                %Ap_Am = 17.008
                %Ap_Am = Ap_Xm(d) * Aae * Ac_T(d);
            
            % [p_M]= p_M  --> % See Aparameter_calc
            % is the volume specific maintenance rate
                %Ap_M = 48; % (J.cm^-3.d^-1) Pethybridge et al. 2013
                %Ap_M = 92.11; % (J.cm^-3.d^-1) Pethybridge et al. 2013
                %Ap_M = 54.67; % Pecquerie & Kooijman (2015)
                %Ap_M = 54.67;
  
    %R
        % RF_batch
        % Relative Batch Fecundity (egg.g-1)
            %ARF_batch = AFbatch;%% (% van der Lingen & Durholtz 2003) (481-624 Alheit et al. 1993, Shelton et al. 1993)

    %T
        % Temperature
           % T_A
           % Arrehenius Temprature (K) 
           % calculated from observed values of metabolic rate
                % AT_A = 11400; Pecquerine 2008
                AT_A = 12026; %Calculations

           % T1
           % Reference temperature (K) Pecquerine 2008
                % AT1 = 286; % (=13 deg C)
                % Given at the begining of each script
                
           % T_ref
           % Temperature reference where most parameters at reference were taken
                Aref = 20; % temperature degrees celsius
                AT_ref = Aref + 273; % Temperature Kelvin

           % c_T
           % temperature correction
                % Ac_T(d) = exp(AT_A/AT_ref-AT_A/T1);
                % See Aparameter_calc

           % Temperature trigger for gamete production(deg C.SST)
                ATR = 16; %Pethybridge et al. 2013
                
           % Sea surface temperature (deg C)
                ASST = 18; %17.6-19.03 in Roy et al. 2007   
    
    %U
         % u = mu
             % Energy density (J.g^-1)
                % u_V
                % Energy density of 1g structure
                    %u_V - also in pars_E
                        %Amu_V = 19900; % Pethybridge et al.2013
                        Amu_V = 20098; % Gatti et al.2017

                % u_E
                % Energy density of 1g reserve                     
                        %Amu_E = 33400; % Pethybridge et al.2013
                        Amu_E = 31332; % Gatti et al.2017

                % u_G
                % Energy density of 1g gametes 
                        %Amu_G = 35200; % Pethybridge et al.2013 
                        Amu_G = 23880; % Gatti et al.2017 
                        
                % u_R
                % Energy density of 1g reproductive reserve
                        Amu_R = 24937; % Gatti et al. 2017

    %V  
         % v = Nu  
            % energy conductance (cm.d-1)
                 %Av = 0.4; %cm.day-1 %Pecquerie et al. 2009
                  %Av = Ap_Am/AE_m(d); --> See bottom of the page
                  
         % Vb
         % Volume at Puberty
            AVb = (ALvb)^3; %(cm^3)%  Pecquirine et al. 2009
            
         % Vj
         % Volume at Metamorphosis
            AVj = (ALvj)^3; %(cm^3)%  Pecquirine et al. 2009            
                  
                  
         % Vp
         % Volume at Puberty
            AVp = (ALvp)^3; %(cm^3)%  Pecquirine et al. 2009
   
    %W
        % Wet weight of egg (J.g-1)
            AW_w_egg = 5600;

    %X         
       % Food Density
           % X = 1000;
%            X = 1000 + X(d-1);
            
        % X_K is the saturation constant (?gC.l-1.d-1)
            AX_K = 75;
            
    %Y 
        %Y = Gamma (Greek)
             %Dry weight to wet weight conversion
                AGamma = 4.1; %Pethybridge et al.2013
                
       