%% Varying the Functional Response (f) for Anchovy

%Clear workspace
clc
clear all

% Deleting the previous file
%delete('Anchovyf.csv') 
delete('D:/UCT/PhD 2010-2015/Model output/Anchovystarve.csv')

%creating open matrixes for the values
%i = 3;
%O_Dev = 0;

dbstop if error

globalvariables_Anchovy;
Varmat_Anchovy;
AO_Dev(1) = 0;
% Final Oocyte development time
  %AO_DevTime = 4900*(SST^-2.29);
  %Make it between 12 and 14
AO_DevTime = 12;
Starve(1) = 0;
ApM3(1) = 0;

%Test variables
%  Akap = 0.7; % Pethybridge et al.2013
  %Akap = 0.65; %Pecquirine 2009  

mydata_Engraulis_encrasicolus
%Parameters_Anchovy
            
%Pre-assign matrix
Aam = 4;  %number of years the fish live %Froese et al. 2010
j = 1;  %number of times fish feed
M = 365; %number of days in a year
N = (M*Aam*j); %number of days * number of years * number of feedings
fn = 7; %number of values for f
Vn = 38; %number of variables in matrix
n = (N-1)*fn; %Max number of rows in matrix          
ANC = zeros (Vn,n);

%Figure_Hold
% Setting up the Matrix for saving
   Anchovy_label;
   fname = 'Anchovystarve.csv';
   txt=sprintf('%s,', hdrA{:});
   txt(end)='';
   dlmwrite(['D:\UCT\PhD\Model output\',fname],txt,'');
   
Parameters_Anchovy
Startvalue_Anchovy
   
    for d = 2:1:N; %2191 if they eat once a day
        T1D(d) = 20;     %Reference Temperature
        Aparameter_calc
        
        if ALv(d-1) >= ALvp
            if AO_Dev(d-1) == 11;
                f = 0;
                Starve(d) = Starve(d-1) + 1;
                Anchovy
                AO_Dev(d) = 11;
            else 
                f = 1; 
                Starve(d) = Starve(d-1) + 0;
                Anchovy
            end
        else
            f = 1;
            Starve(d) = Starve(d-1) + 0;
            Anchovy
        end

        Anchovy_Save
        
        fprintf('d = %f\nf = %f\nStarve(d) = %f\nER = %f\nLength = %f\nWet Weight = %f\n\n',d,f,Starve(d),AER(d),AL(d),AW_ww(d));
        
            
    end

%hold off
