%% Varying the Functional Response (f) for Anchovy

%Clear workspace
clc
clear all

% Deleting the previous file
%delete('Anchovyf.csv') 
delete('D:/UCT/PhD 2010-2015/Model output/Anchovystarve.csv')

%creating open matrixes for the values
%i = 3;
%O_Dev = 0;

dbstop if error
 
globalvariables_Anchovy;
Varmat_Anchovy;
AO_Dev(1) = 0;
% Final Oocyte development time
  %AO_DevTime = 4900*(SST^-2.29);
  %Make it between 12 and 14
AO_DevTime1 = 12;
AO_DevTime2 = 9;
Starve(1) = 0;
ApM3(1) = 0;

%Test variables
%  Akap = 0.85; % 
  %Akap = 0.65; %Pecquirine 2009  

mydata_Engraulis_encrasicolus
%Parameters_Anchovy
            
%Pre-assign matrix
Aam = 4;  %number of years the fish live %Froese et al. 2010
j = 1;  %number of times fish feed
M = 365; %number of days in a year
N = (M*Aam*j); %number of days * number of years * number of feedings
fn = 7; %number of values for f
Vn = 38; %number of variables in matrix
n = (N-1)*fn; %Max number of rows in matrix          
ANC = zeros (Vn,n);

%Figure_Hold
% Setting up the Matrix for saving
   Anchovy_label;
   fname = 'Anchovystarve0.8_20.csv';
   txt=sprintf('%s,', hdrA{:});
   txt(end)='';
   dlmwrite(['D:\UCT\PhD\Model output\',fname],txt,'');
   
Parameters_Anchovy
Startvalue_Anchovy

    for spawndays = [275 343 457 640 708 820 1005 1073 1188 1371];
        for d = 2:1:N; %2191 if they eat once a day
            T1D(d) = 20;     %Reference Temperature
            TK(d) = T1D(d)+273;
            Aparameter_calc
    %         Ap_M_ref = 136;
    %         Testpar

            % First spawn 275 days (f = 1-0.8, T = 18-26)
            %              92 (T = 26)
            %             120 (T = 24)
            %             156 (T = 22)
            %             205 (T = 20, f = 1.0)
            %             230 (f = 0.9)
            %             269 (f = 0.8)
            %             270 (T = 18)
            % Middle of 1st spawn 343 days
            %             336 days (f = 0.7)
            %             358 (T = 16)
            % end of 1st spawning season 457 days
            %              476 (T = 14)
            %              502 days (f = 0.6)            
            %              638 days (T = 12)
            % Second spawn 640 days (T = 12)
            % Middle of 2nd spawn 708 days
            % end of 2nd spawning season 820 days
            % Third spawn 1005 days
            % Middle of 3rd spawn 1073 days
            % end of 3rd spawning season 1188 days
            % Fourth spawn 1371 days
            % Middle of 4th spawn 1439 days
            
            if spawndays == 275;
                Spawn = 1;
            elseif spawndays == 343;
                Spawn = 1.25;
            elseif spawndays == 457;
                Spawn = 1.5;
            elseif spawndays == 640;
                Spawn = 2;
            elseif spawndays == 708;
                Spawn = 2.25;    
            elseif spawndays == 820;
                Spawn = 2.5;
            elseif spawndays == 1005;
                Spawn = 3;
            elseif spawndays == 1073;
                Spawn = 3.25;    
            elseif spawndays == 1188;
                Spawn = 3.5;
            else 
                Spawn = 4;
            end

            if d >= spawndays;
                 f = 0;
                 Starve(d) = Starve(d-1) + 1;
                 Anchovy
                 %Stops spawning
                 AO_Dev(d) = 11;
                 %  If the Reproductive buffer is used up
                 if AER(d) <= 0;
                    disp('The fish is dead')
                    %Stop the starve and reset for new spawn
                    d = 2;
                    % Break out of inner loop and go to next spawn
                    break
                 end

            else
                f = 0.8;
                Starve(d) = Starve(d-1) + 0;
                Anchovy
            end


            Anchovy_Save
            fprintf('d = %f\nf = %f\nStarve(d) = %f\nER = %f\nLength = %f\nWet Weight = %f\n\n',d,f,Starve(d),AER(d),AL(d),AW_ww(d));


        end
    end

%hold off
