rm(list=ls())	    # Clears workspace
setwd ("D:\\UCT\\PhD\\Model\\Anchovy\\R plotting") 	
datT<-read.csv("D:\\UCT\\PhD\\Model output\\AnchovyTemp.csv", header=T)
attach(datT)
names(datT)
summary(datT)

####################################################
### Tables for puberty and Max data ################
####################################################
aggdata = aggregate(datT, by=list(Temp..K.), FUN = max)
Tempdata = aggdata[,c(1,39,35,34,33)]
# Round Length to 2 decimals
ML = round(Tempdata[,2:4],2)
# Round Weight to 3 decimals
MW = round(Tempdata[,5],0)
# Temp table
Temptable01 = data.frame(Tempdata[,1],ML,MW)
names(Temptable01) = c('Temp', 'c_T', 'p_M', 'p_Am', 'E_G')
Temptable01
write.csv(Temptable01,"D:\\UCT\\PhD\\Model\\Anchovy\\Tempdata.csv")

detach(datT)
