%% Varying the Functional Response (f) for Anchovy

%Clear workspace
clc
clear all

% Deleting the previous file
%delete('Anchovyf.csv') 
%delete('D:/UCT/PhD 2010-2015/Model output/Anchovyf.csv')

dbstop if error
 
globalvariables_Anchovy;
Varmat_Anchovy;
AO_Dev(1) = 0;
% Final Oocyte development time
  %AO_DevTime = 4900*(SST^-2.29);
  %Make it between 12 and 14
AO_DevTime1 = 12;
AO_DevTime2 = 9;
Starve(1) = 0;
ApM3(1) = 0;

%Test variables
  %Akap = 0.65; %Pecquirine 2009  

mydata_Engraulis_encrasicolus
%Parameters_Anchovy
            
%Pre-assign matrix
Aam = 4;  %number of years the fish live %Froese et al. 2010
j = 1;  %number of times fish feed
M = 365; %number of days in a year
N = (M*Aam*j); %number of days * number of years * number of feedings
fn = 8; %number of values for f
Vn = 38; %number of variables in matrix
n = (N-1)*fn; %Max number of rows in matrix          
ANC = zeros (Vn,n);

%Figure_Hold
% Setting up the Matrix for saving
   Anchovy_label;
   fname = 'Anchovyf.csv';
   txt=sprintf('%s,', hdrA{:});
   txt(end)='';
   dlmwrite(['D:\UCT\PhD\Model output\',fname],txt,'');
   


for f = [1, 0.9, 0.8, 0.7, 0.6, 0.5, 0.3, 0.1]; 
%for f = [1];    
            %Af_Parameter
            Parameters_Anchovy
            Startvalue_Anchovy
            % Scaled reserve density
                %global f
                    Ae(1) = f;
                    %Ap_Am = 230.75;
                
            
        for d = 2:1:N %2191 if they eat once a day
            T1D(d) = 20;     %Reference Temperature
            TK(d) = T1D(d)+273;
            Aparameter_calc
            Starve(d) = Starve(d-1) + 0;
            Spawn = 0;
            
            
            Anchovy
            Anchovy_Save
            fprintf('d = %f\nf = %f\nLength = %f\nWet Weight = %f\nVolume Length = %f\n\n',d,f,AL(d),AW_ww(d),ALv(d));
            %fprintf('d = %f\nTemp = %f\nLength = %f\nWet Weight = %f\n\n',d,T1D,AL(d),AW_ww(d));

            if AW_dw(d) <= 0;
                %print 'The fish is dead'
                continue
            end  
            %APrint
        end
    
             
end
%hold off

% copy file to R plotting folder
%copyfile('Anchovyf.csv','d:/UCT/PhD 2010-2015/Model output/')