%% Varying the parameters for Anchovy

%Clear workspace
clc
clear all

% Deleting the previous file
%delete('Anchovyf.csv') 
% delete('D:/UCT/PhD 2010-2015/Model output/Anchovypar.csv')

dbstop if error

globalvariables_Anchovy;
Varmat_Anchovy;
AO_Dev(1) = 0;
% Final Oocyte development time
  %AO_DevTime = 4900*(SST^-2.29);
  %Make it between 12 and 14
  % Peak Oct - Dec
AO_DevTime1 = 12;
AO_DevTime2 = 9;
Starve(1) = 0;
ApM3(1) = 0;

%Test variables
  f = 1.0;

            mydata_Engraulis_encrasicolus
            %Parameters_Anchovy
            
%Pre-assign matrix
Aam = 4;  %number of years the fish live %Froese et al. 2010
j = 1;  %number of times fish feed
M = 365; %number of days in a year
N = (M*Aam*j); %number of days * number of years * number of feedings
fn = 7; %number of values for f
Vn = 38; %number of variables in matrix
n = (N-1)*fn; %Max number of rows in matrix          
ANC = zeros (Vn,n);

%Figure_Hold
% Setting up the Matrix for saving
   Anchovy_label;
   fname = 'Anchovypar.csv';
%   fname = 'p_M.csv';
   txt=sprintf('%s,', hdrA{:});
   txt(end)='';
   dlmwrite(['D:\UCT\PhD\Model output\',fname],txt,'');
   

Parameters_Anchovy
Startvalue_Anchovy   
   
% for Akap = [0.25 0.35 0.45] 
% for Ap_Am_ref = [120 220 320]
% for Ap_M_ref = [15 25 35]  
% for AE_m = [800 2800 4800] 
% for AE_G = [200 1200 2200]     
        for d = 2:1:N %2191 if they eat once a day
            
          
            % c_T
           % temperature correction
                T1D(d) = 20;     %Reference Temperature
                T1(d) = T1D(d) + 273;
                Ac_T(d) = exp(AT_A/AT_ref-AT_A/T1(d));
                TK(d) = T1(d);
            
                %Kappa  
            %Skap = 0.7; % Pethybridge et al.2013
            %Skap = 0.65; %Pecquirine 2009  
            %Skap = 0.75; % Anchovy
            Akap = 0.35;
            
            % {p_Xm}
            % Max Feeding rate
                 %Ap_Xm = 325; %(J.cm^2.d^-1) Pethybridge et al. 2013
                 %Ap_Xm_ref = 325;
                 AMax_ingestion
                 
             % [p_M]= p_M 
            % is the volume specific maintenance rate
                %Ap_M = 48; % (J.cm^-3.d^-1) Pethybridge et al. 2013
                %Ap_M = 92.11; % (J.cm^-3.d^-1) Pethybridge et al. 2013
                %Ap_M = 54.67; % Pecquerie & Kooijman (2015)
                %Ap_M_ref = 96; 
               Ap_M_ref = 25; 
                Ap_M(d) = Ap_M_ref * Ac_T(d);                
            
            % {p_Am} = p_Am 
            % Maximum surface area specific assimilation rate (J.cm-2.d-1)
            	%Ap_Am = Ap_Xm*Akap_X; % Pethybridge et al. 2013
                %Ap_Am(d) = 113;
                %Ap_Am = Ap_Xm(d) * Aae * Ac_T(d);
                %Ap_Am = 250; % (J.cm-2.d-1) Parameter calc
                %Ap_Am(d) = 9.332 + 251 * Ac_T(d); % (J.cm-2.d-1) 
                %Ap_Am_ref = 312; 
                Ap_Am_ref = 220; 
                Ap_Am(d) = Ap_Am_ref * Ac_T(d);
                
          % [E_G] 
           % The volume-specific costs of structure (J.cm-3)
            % energetic cost needed for one unit of growth to occur in the
            % structural body
            %AE_G = 4000; % (J.cm^-3) Pethybridge et al. 2013
             %AE_G = 5077;  % (J.cm^-3) Pecquerie & Kooijman (2015)  
             %AE_G(d) = 6775; % (J.cm^-3) Parameter calc
             %AE_G(d) = AE_Gd; % (J.cm^-3) Parameter calc
             %AE_G = 3900;
             AE_G = 50;      
           
          % [E_m]
            % Maximum Storage Density (J.cm-3)
                % Difference in energy content between an individual with
                % unlimited resources and an animal with depleted reserve.
                 %AE_m = 2700; %Pethybridge et al. 2013
                 %AE_m = 572.901; % (J.cm^-3) Pecquerie & Kooijman (2015)
                 %AE_m = (Ap_Am-153.222)/0.016;  % estimated from the regression   
                 %AE_m = 5000; % (J.cm^-3) Parameter calc
                 %AE_m = 4500; % (J.cm^-3) Parameter calc
                AE_m = 2800;
                
            % v = Nu  
            % energy conductance (cm.d-1)
                 %Av = 0.4; %cm.day-1 %Pecquerie et al. 2009
                  Av(d) = Ap_Am(d)/AE_m;                  
                  
             
            Starve(d) = Starve(d-1) + 0;
            Spawn = 0;
            
            Anchovy
            Anchovy_Save
            fprintf('d = %f\nLength = %f\nWet Weight = %f\nVolume Length = %f\n\n',d,AL(d),AW_ww(d),ALv(d));
            %fprintf('d = %f\nTemp = %f\nLength = %f\nWet Weight = %f\n\n',d,T1D,AL(d),AW_ww(d));

            if AW_dw(d) <= 0;
                %print 'The fish is dead'
                continue
            end  
            %APrint
        end
%  end
 
             
%end
%hold off

% copy file to R plotting folder
%copyfile('Anchovyf.csv','d:/UCT/PhD 2010-2015/Model output/')